<?
/*
||
|| some common routines to query oracle
||
*/
function printoraerr($in_cur){
        global $qry,$conn;
        // function to check whether an oracle error occured
        // if it did, print the error
        // call this after every oracle call when a cursor is active
        // If it encountered an error, we exit immediately
        if(ora_errorcode($in_cur)) {
                echo "Oracle code - ".ora_error($in_cur)."<br>\n";
                ora_logoff($conn);
                exit;
        }
        return;
}

function exequery($w_qry) {
	global $conn,$printqry,$others,$SID,$PHP_SELF;
	$cursor=ora_open($conn); printoraerr($cursor);
	ora_parse($cursor,$w_qry,0); printoraerr($cursor);
	ora_exec($cursor); printoraerr($cursor);
	$numrows=0;
	$w_numcols=ora_numcols($cursor);
	// print headers
	echo "
	 <TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\">
	 <TR>\n";
	for ($i=0;$i<$w_numcols;$i++) {
		$align=(ora_columntype($cursor,$i)=="NUMBER")?"RIGHT":"LEFT";
		echo "\t<TH VALIGN=TOP ALIGN=$align>".ucwords(strtolower(str_replace("_"," ",ora_columnname($cursor,$i))))."</TH>\n";
	}
	echo "</TR>\n";

	while(ora_fetch($cursor)){
			echo "<TR>\n";
			for ($i=0;$i<$w_numcols;$i++) {
				$align=(ora_columntype($cursor,$i)=="NUMBER")?"RIGHT":"LEFT";
				if(ora_columntype($cursor,$i)=="LONG")
				echo "<TD VALIGN=TOP ALIGN=$align><PRE>".ora_getcolumn($cursor,$i)."</PRE></TD>\n";
				else
				echo "<TD VALIGN=TOP ALIGN=$align>".ora_getcolumn($cursor,$i)."</TD>\n";
				printoraerr($cursor);
			}
			$numrows++;
			echo "</TR>\n";
	}
	if ($numrows==0)
		echo "<TR><TD COLSPAN=\"$w_numcols\"><B>Query returned no records</B></TD></TR>\n";
	echo "</TABLE>\n";
	ora_close($cursor);
	return;
}
?>
