select 	round(min(lh2.FIRST_TIME - lh1.FIRST_TIME) * 24 * 60,2),
	round(max(lh2.FIRST_TIME - lh1.FIRST_TIME) * 24 * 60,2),
       	|round(avg(lh2.FIRST_TIME - lh1.FIRST_TIME) * 24 * 60,2)
from 	v$loghist lh1, v$loghist lh2
where 	lh1.SEQUENCE# + 1 = lh2.SEQUENCE#
and 	lh1.SEQUENCE# < (
	select 	max(SEQUENCE#)
	from  	v$loghist )
